Bug 8232 - Comments in OPAC contain untranslatable javascript messages
Summary: Comments in OPAC contain untranslatable javascript messages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-11 14:14 UTC by Katrin Fischer
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8232: Comments in OPAC contain untranslatable javascript messages (2.13 KB, patch)
2012-06-11 14:16 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8232: Comments in OPAC contain untranslatable javascript messages (2.23 KB, patch)
2012-06-11 15:22 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-06-11 14:14:36 UTC
To test:
- add a new comment to a record in the OPAC
- Your comment (preview, pending approval) is not translatable
Comment 1 Katrin Fischer 2012-06-11 14:16:15 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-06-11 15:22:55 UTC
Created attachment 10228 [details] [review]
[SIGNED-OFF] Bug 8232: Comments in OPAC contain untranslatable javascript messages

To test:
- add a new comment to a record in the OPAC
- Your comment (preview, pending approval) is not translatable
- update po files by running 'perl translate update <language>'
- Open po file and check if strings are there, translate
- install language again by running 'perl translate install <language>'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2012-06-12 09:44:06 UTC
Make translatable 2 strings in opac-review.tt
Marking as Passed QA
Comment 4 Paul Poulain 2012-06-20 09:08:38 UTC
worth pushing it on 3.8.x
Comment 5 Chris Cormack 2012-06-20 09:46:00 UTC
Contains string changes, holding for 3.8.3
Comment 6 Chris Cormack 2012-06-22 02:13:30 UTC
Pushed to 3.8.x will be in 3.8.3